Subject: Re: bug#52480: 28.0.60; Emacs Zip-Archive open inside image file does not display, just empty buffer

From: Eli Zaretskii <[email-masked]>
Date: Tue, 14 Dec 2021 16:34:08 +0200

> From: "Christopher M. Miles" <[email-masked]>
> Date: Tue, 14 Dec 2021 22:24:00 +0800
> 
> I found that Emacs "Zip-Archive" `archive-mode' has problem on display zip archive file inside image
> files. When I press [Enter] on image file in the opened archive buffer, Emacs displays image file
> with "empty blank buffer". Not all .zip archive files has this problem. Two .zip file is can open
> some inside images, but not all. But still most .zip archive files open inside images are blank empty.
> 
> And I confirmed those .zip archives are fine. I uncompressed them in macOS and open inside image is fine.
> 
> I confirmed the problem with "emacs -q".

Could you perhaps post an example of such a problematic zip file with
images?  I tried to reproduce this on my system using a zip file I
created myself, and saw no such problems.

Thanks.